Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl
Class ExecutorImpl

    java.lang.Object
      org.jbpm.executor.impl.ExecutorImpl

All Implemented Interfaces:
  Executor, Service

    public class ExecutorImpl

extends Object
implements Executor

Constructor Summary
`ExecutorImpl()`

Method Summary
`void` | `cancelRequest(Long requestId)`
`void` | `destroy()`
`int` | `getInterval()`
`int` | `getRetries()`
`int` | `getThreadPoolSize()`
`void` | `init()`
`Long` | `scheduleRequest(String commandId, CommandContext ctx)`
`Long` | `scheduleRequest(String commandId, Date date, CommandContext ctx)`
`void` | `setInterval(int interval)`
`void` | `setRetries(int retries)`
`void` | `setThreadPoolSize(int threadPoolSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutorImpl

    public ExecutorImpl()

Method Detail

### getInterval

    public int getInterval()

  Specified by:
    `getInterval` in interface `Executor`

### setInterval

    public void setInterval(int interval)

  Specified by:
    `setInterval` in interface `Executor`

### getRetries

    public int getRetries()

  Specified by:
    `getRetries` in interface `Executor`

### setRetries

    public void setRetries(int retries)

  Specified by:
    `setRetries` in interface `Executor`

### getThreadPoolSize

    public int getThreadPoolSize()

  Specified by:
    `getThreadPoolSize` in interface `Executor`

### setThreadPoolSize

    public void setThreadPoolSize(int threadPoolSize)

  Specified by:
    `setThreadPoolSize` in interface `Executor`

### init

    public void init()

  Specified by:
    `init` in interface `Service`

### scheduleRequest

    public Long scheduleRequest(String commandId,
                                CommandContext ctx)

  Specified by:
    `scheduleRequest` in interface `Executor`

### scheduleRequest

    public Long scheduleRequest(String commandId,
                                Date date,
                                CommandContext ctx)

  Specified by:
    `scheduleRequest` in interface `Executor`

### cancelRequest

    public void cancelRequest(Long requestId)

  Specified by:
    `cancelRequest` in interface `Executor`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Service`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.